{% extends 'base.html.twig' %}

{% block body %}


<main class='main-content bgc-grey-100'>
    <div id='mainContent'>
    <h1>Gestione ospiti</h1>

    <div class="table-responsive">
        <table class="table table-striped table-hover">
            <thead>
                <tr>
                    <th>Username</th>
                    <th>Cognome</th>
                    <th>Nome</th>
                    <th>Accesso attivo dal</th>
                    <th>Fino al</th>
                    <th>Identificato con</th>
                    <th>Azioni</th>
                </tr>
            </thead>
            <tbody>
                {% for entity in pagination %}
                    <tr>
                        <td>guest{{ entity.id}}</td>
                        <td>{{ entity.firstname }}</td>
                        <td>{{ entity.lastname}}</td>
                        <td>{% if entity.startingfrom %}{{ entity.startingfrom|date('d/m/Y') }}{% endif %}</td>
                        <td>{% if entity.endingto %} {{ entity.endingto|date('d/m/Y') }}{% endif %}</td>
                        <td>{{ entity.identifiedby}}</td>
                        <td>
                            <a href="{{ path('guest_edit', { 'id': entity.id }) }}" class="btn btn-primary">Modifica</a>
                            <a href="{{ path('guest_print', { 'id': entity.id }) }}" class="btn btn-info" target="_blank">Stampa</a>
                            <button class="btn btn-dark sendCredentialToEmail" data-userid="{{ entity.id }}" data-userfullname="{{ entity.lastname}} {{ entity.firstname }}">Invia per Email</button>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    <div class="row">

        <div class="col-md-4">
            <div class="navigation">
                {{ knp_pagination_render(pagination) }}
            </div>
        </div>
        <div class="col-md-2">
            <a class="btn btn-success" href="{{ path('guest_new') }}">
                Aggiungi un nuovo ospite
            </a>
        </div>

        <div class="col-md-2">
            <a class="btn btn-success" href="{{ path('guest_add_massive') }}">
                Aggiunta massiva di ospiti da file Excel
            </a>
        </div>
        <div class="col-md-4">
            <form class="form-search" action="{{ path('guest') }}">
                <div class="form-group">

                    <input type="text"  style="width: inherit; display: inline;"
                           id="queryString" name="queryString" placeholder="Cerca">





                    <button class="btn btn-secondary" type="submit"><i class="ti-search pdd-right-10"></i></button><br/>
                    <input type="checkbox" id="showInactive" name="showInactive" {{ showInactive?"checked" }}> Visualizza anche guest scaduti
                </div>

            </form>
        </div>
    </div>

    <div class="modal fade" id="sendToEmailModal" tabindex="-1" role="dialog" aria-labelledby="sendToEmailModal" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Invia credenziali via email</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>

                <div class="modal-body">
                    <div class="status"></div>
                    Invio credenziali di <b class="userFullName"></b> via email all'indirizzo:<br />
                    <input type="email" id="sendToEmailField" />
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Chiudi</button>
                    <button id="sendToEmailBt" type="button" class="btn btn-primary">Invia</button>
                </div>
            </div>
        </div>
    </div>
    </div>
</main>
{% endblock %}


{% block javascripts %}
    {{ parent() }}
    <script type="text/javascript">
        $(function ($) {
            var sendToEmailModal = $("#sendToEmailModal");
            var sendToEmailField = $("#sendToEmailField");

            $(".sendCredentialToEmail").click(function () {
                var $bt = $(this);
                if($bt.data("userid") === undefined || $bt.data("userid") === "" || $bt.data("userfullname") === undefined || $bt.data("userfullname") === "") {
                    return;
                }

                sendToEmailModal.data("userid", $bt.data("userid"));
                var modalContent = sendToEmailModal.children(".modal-dialog").children(".modal-content");
                modalContent.children(".modal-body").children('.userFullName').text($bt.data("userfullname"));
                modalContent.children(".modal-body").children('.status').removeClass('alert').removeClass("alert-danger").removeClass("alert-success").text("");
                $("#sendToEmailField").val("");
                sendToEmailModal.modal("show");
            });

            $("#sendToEmailBt").click(function () {
                if(sendToEmailModal.data("userid") === undefined || sendToEmailModal.data("userid") === "") {
                    return;
                }

                var modalContent = sendToEmailModal.children(".modal-dialog").children(".modal-content");
                var statusArea = modalContent.children(".modal-body").children('.status');
                statusArea.removeClass('alert').removeClass("alert-danger").removeClass("alert-success").text("");

                if(sendToEmailField.val() === "") {
                    statusArea.addClass("alert").addClass("alert-danger").text("E-Mail non valida");
                    return;
                }

                console.log(sendToEmailModal.data("userid"));
                $.get("{{ path("guest_send_credential_to_email",{'id': '%id'}) }}".replace("%25id",sendToEmailModal.data("userid")),{'emailTo': sendToEmailField.val()},function (data) {
                    if(data.success !== true) {
                        statusArea.addClass("alert").addClass("alert-danger").html('Errore durante l\'elaborazione della richiesta:<br />'+data.error);
                        return;
                    }

                    statusArea.addClass("alert").addClass("alert-success").text('Email inviata correttamente');
                    sendToEmailField.val("");
                }, "json").fail(function (event, jqXHR) {
                    statusArea.addClass("alert").addClass("alert-danger").text('Errore durante l\'elaborazione della richiesta');
                });
            });
        })
    </script>
{% endblock %}